<ecl-site-footer>
  <div eclSiteFooterRow>
    <div eclSiteFooterColumn>
      <div eclSiteFooterSection isSiteInfo>
        <h2 eclSiteFooterTitle>
          <a
            eclLink
            variant="standalone"
            eclSiteFooterTitleLink>
            {{ "app.components.footer.appTitle" | translate }}
          </a>
        </h2>
        <div eclSiteFooterDescription>
          {{ "app.components.footer.appDescription" | translate }}
        </div>
        <p class="sr-version-color eui-u-f-italic">
          {{ 'app.components.footer.version' | translate:{version} }}
        </p>
      </div>
    </div>
    <div eclSiteFooterColumn>
      <div eclSiteFooterSection>
        <h2 eclSiteFooterTitle
          [isSeparator]="true">
          {{ "app.components.footer.follow" | translate }}
        </h2>
        <ul eclSiteFooterList>
          <li eclSiteFooterListItem>
            <a eclLink
              eclSiteFooterLink
              variant="standalone"
              target="_blank"
              href="https://twitter.com/eu_onceonly">
              <ecl-icon iconSet="social-media"
                icon="twitter"
                size="xs">
              </ecl-icon>
              <span eclLinkLabel>{{ "app.components.footer.x" | translate }}</span>
            </a>
          </li>
          <li eclSiteFooterListItem>
            <a eclLink
              eclSiteFooterLink
              variant="standalone"
              target="_blank"
              href="https://ec.europa.eu/digital-building-blocks/sites/display/OOTS/About+OOTS">
              <span eclLinkLabel>{{ "app.components.footer.website" | translate }}</span>
            </a>
          </li>
        </ul>
      </div>
    </div>
    <div eclSiteFooterColumn>
      <div eclSiteFooterSection>
        <h2 eclSiteFooterTitle
          [isSeparator]="true">
          {{ 'app.components.footer.about' | translate }}
        </h2>
        <ul eclSiteFooterList>
          @for (link of sitemap; track link) {
            <li eclSiteFooterListItem>
              <a eclLink
                eclSiteFooterLink
                variant="standalone"
                routerLink="{{link.routerLink}}">
                {{ link.translationKey | translate }}
              </a>
            </li>
          }
        </ul>
      </div>
    </div>
  </div>
</ecl-site-footer>
